ProyectoCrm/src/app/Modulos/HomeModulo/Paginas/fw-home-tickets/Componentes/fw-home-tickets-listado/fw-home-tickets-listado.component.html

<div class="row pt-2">
  <div class="col-12 col-lg-3">
    <div class="row pb-2">
      <div class="col-12">
        <div class="row">
          <div class="col-12">
            <h6><i class="fas fa-sliders-h mr-2"></i><span>Estatus</span></h6>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="Contenedor mb-2" *ngFor="let tEst of tEstatus; let jv = index" [ColorFondo]="tEst.Hexadecimal" (click)="Seleccionar_Estatus(tEst.Codestatus)">
              <h6 class="text-xs ml-2 mt-2" [ColorLetras]="tEst.Hexadecimal"><span class="fas fa-check mr-2 d-none"></span>{{ tEst.Codestatus }}</h6>
            </div>
          </div>
        </div>
      </div>
    </div>
    <div class="row">
      <div class="col-12">
        <div class="row">
          <div class="col-12">
            <h6><i class="fas fa-tasks mr-2"></i><span>Tipos</span></h6>
          </div>
        </div>
        <div class="row">
          <div class="col-12">
            <div class="Contenedor mb-2" *ngFor="let tTipo of tTipos; let jv = index" [ColorFondo]="tTipo.Hexadecimal" (click)="Seleccionar_Tipo(tTipo.Codtipo)">
              <h6 class="text-xs ml-2 mt-2" [ColorLetras]="tTipo.Hexadecimal"><span class="fas fa-check mr-2 d-none"></span>{{ tTipo.Codtipo }}</h6>
            </div>
          </div>
        </div>
      </div>
    </div>
  </div>
  <div class="col-12 col-lg-6">
    <ng-container *ngFor="let tTicket of LTickets | filtrarTickets: tEstatusSel : tTiposSel | slice: (tPaginaTicket-1) * tTamanoPagTicket : (tPaginaTicket-1) * tTamanoPagTicket + tTamanoPagTicket; let jv = index">
      <div class="card shadow-sm mb-2 Ticket" (click)="Abrir_Ticket(tTicket)">
        <div class="card-body">
          <div class="row mb-2">
            <div class="col-2 d-none d-lg-block"><img class="img-thumbnail rounded-circle" [Gravatar]="tTicket.Email" alt="Usario"/></div>
            <div class="col-12 col-lg-10">
              <div class="row">
                <div class="col-12 col-lg-8">
                  <h6 class="text-dark font-weight-bold text-xs">[{{ tTicket.Codticket }}] - {{ tTicket.Titulo }}</h6>
                </div>
                <div class="col-12 col-lg-4 text-right">
                  <h6 class="text-black-50 font-italic text-xs">{{ tTicket.Fecha_creacion | diferenciaFechas }}</h6>
                </div>
              </div>
              <div class="row">
                <div class="col-12">
                  <h6 class="font-italic text-xs">[{{ tTicket.Codcliente }}] - {{ tTicket.Nombre_Cliente }}</h6>
                </div>
              </div>
            </div>
          </div>
          <div class="row">
            <div class="col-12 d-flex justify-content-between align-items-center">
              <h6 class="text-xs"><span class="fas fa-inbox mr-2 text-primary"></span><span>{{ tTicket.TotalMensajes }}</span></h6>
              <h6 class="text-xs badge badge-pill" [ColorFondo]="tTicket.Tipo_Hexadecimal" [ColorLetras]="tTicket.Tipo_Hexadecimal"><span>{{ tTicket.Tipo }}</span></h6>
              <h6 class="text-xs badge badge-pill" [ColorFondo]="tTicket.Estatus_Hexadecimal" [ColorLetras]="tTicket.Estatus_Hexadecimal"><span>{{ tTicket.Estatus }}</span></h6>
            </div>
          </div>
        </div>
      </div>
    </ng-container>
  </div>
</div>
<div class="row">
  <div class="col-12">
    <ngb-pagination class="d-flex justify-content-end" [collectionSize]="LTickets.length" [(page)]="tPaginaTicket" aria-label="Default pagination" [pageSize]="tTamanoPagTicket" size="sm"></ngb-pagination>
  </div>
</div>

ProyectoCrm/src/app/Modulos/HomeModulo/Paginas/fw-home-tickets/Componentes/fw-home-tickets-listado/fw-home-tickets-listado.component.pug
div.row.pt-2
  div.col-12.col-lg-3
    div.row.pb-2
      div.col-12
        div.row
          div.col-12
            h6
              i.fas.fa-sliders-h.mr-2
              span Estatus
        div.row
          div.col-12
            div(*ngFor="let tEst of tEstatus; let jv = index",
                [ColorFondo]="tEst.Hexadecimal",
                (click)="Seleccionar_Estatus(tEst.Codestatus)").Contenedor.mb-2
              h6([ColorLetras]="tEst.Hexadecimal").text-xs.ml-2.mt-2
                span.fas.fa-check.mr-2.d-none
                | {{ tEst.Codestatus }}
    div.row
      div.col-12
        div.row
          div.col-12
            h6
              i.fas.fa-tasks.mr-2
              span Tipos
        div.row
          div.col-12
            div(*ngFor="let tTipo of tTipos; let jv = index",
                [ColorFondo]="tTipo.Hexadecimal",
                (click)="Seleccionar_Tipo(tTipo.Codtipo)").Contenedor.mb-2
              h6([ColorLetras]="tTipo.Hexadecimal").text-xs.ml-2.mt-2
                span.fas.fa-check.mr-2.d-none
                | {{ tTipo.Codtipo }}
  div.col-12.col-lg-6
    ng-container(*ngFor="let tTicket of LTickets | filtrarTickets: tEstatusSel : tTiposSel | slice: (tPaginaTicket-1) * tTamanoPagTicket : (tPaginaTicket-1) * tTamanoPagTicket + tTamanoPagTicket; let jv = index")
      div((click)="Abrir_Ticket(tTicket)").card.shadow-sm.mb-2.Ticket
        div.card-body
          div.row.mb-2
            div.col-2.d-none.d-lg-block
              img([Gravatar]="tTicket.Email", alt="Usario").img-thumbnail.rounded-circle
            div.col-12.col-lg-10
              div.row
                div.col-12.col-lg-8
                  h6.text-dark.font-weight-bold.text-xs [{{ tTicket.Codticket }}] - {{ tTicket.Titulo }}
                div.col-12.col-lg-4.text-right
                  h6.text-black-50.font-italic.text-xs {{ tTicket.Fecha_creacion | diferenciaFechas }}
              div.row
                div.col-12
                  h6.font-italic.text-xs [{{ tTicket.Codcliente }}] - {{ tTicket.Nombre_Cliente }}
          div.row
            div.col-12.d-flex.justify-content-between.align-items-center
              h6.text-xs
                span.fas.fa-inbox.mr-2.text-primary
                span {{ tTicket.TotalMensajes }}
              h6([ColorFondo]="tTicket.Tipo_Hexadecimal", [ColorLetras]="tTicket.Tipo_Hexadecimal").text-xs.badge.badge-pill
                span {{ tTicket.Tipo }}
              h6([ColorFondo]="tTicket.Estatus_Hexadecimal", [ColorLetras]="tTicket.Estatus_Hexadecimal").text-xs.badge.badge-pill
                span {{ tTicket.Estatus }}
div.row
  div.col-12
    ngb-pagination([collectionSize]="LTickets.length",
        [(page)]="tPaginaTicket",
        aria-label="Default pagination",
        [pageSize]="tTamanoPagTicket",
        size="sm").d-flex.justify-content-end
